@base <https://purl.org/coscine/ap/qudt/quantitykind/EnergyDensity/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/EnergyDensity/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Energy Density sind."@de,
    "Profile for all units that are a/an Energy Density."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Energy Density"@de,
    "Unit: Energy Density"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:BTU_IT-PER-FT3 unit:BTU_TH-PER-FT3 unit:ERG-PER-CentiM3 unit:J-PER-M3 unit:MegaJ-PER-M3 unit:W-HR-PER-M3 ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:BTU_IT-PER-FT3 rdfs:label "British Thermal Unit (It) Per Cubic Foot"@en .
unit:BTU_TH-PER-FT3 rdfs:label "British Thermal Unit (Th) Per Cubic Foot"@en .
unit:ERG-PER-CentiM3 rdfs:label "Erg Per Cubic Centimeter"@en-us, "Erg Per Cubic Centimetre"@en .
unit:J-PER-M3 rdfs:label "Joule Per Cubic Meter"@en-us, "Joule Per Cubic Metre"@en .
unit:MegaJ-PER-M3 rdfs:label "Megajoule Per Cubic Meter"@en-us, "Megajoule Per Cubic Metre"@en .
unit:W-HR-PER-M3 rdfs:label "Watthour Per Cubic Meter"@en-us, "Watthour Per Cubic Metre"@en .
